import type { SetupContext } from 'vue';
import type { PrimaryTableCol, TableRowData, TdPrimaryTableProps } from '../type';
export default function useFilter(props: TdPrimaryTableProps, context: SetupContext): {
    hasEmptyCondition: import("vue").ComputedRef<boolean>;
    isTableOverflowHidden: import("vue").Ref<boolean>;
    renderFilterIcon: ({ col }: {
        col: PrimaryTableCol<TableRowData>;
        colIndex: number;
    }) => JSX.Element;
    renderFirstFilterRow: () => JSX.Element;
    setFilterPrimaryTableRef: (primaryTableElement: any) => void;
};
